﻿
/*
DataExtractor.js

2016/9/15 version 1.1

更新履歴
2016/9/15　経験値表示も消すように変更

  利用規約
  ・商用・非商用問わず使えます。
　・改変公開可能

http://shirakamisauto.hatenablog.com/entry/2016/09/15/182737
*/

/*:
 * @plugindesc This plugin can make HP,MP,LV invisible.
 * @author sauto
 *
 * @param isEnemy
 * @desc This can make HP invisible.0 is invisible.1 is visible.
 * @default 1
 * 
 * @param isVisibleMP
 * @desc This can make MP invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @param isVisibleLV
 * @desc This can make LV and Exp invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @help 0 is invisible.1 is visible.
 */

/*:ja
 * @plugindesc 敵データの名前とメモを出力する
 * @author さうと
 *
 * @param isEnemy
 * @desc HPを消せます。0で非表示、1で表示です。
 * @default 1
 * 
 * @param isVisibleMP
 * @desc MPを消せます。0で非表示、1で表示です。
 * @default 0
 * 
 * @param isVisibleLV
 * @desc LVと経験値表示を消せます。0で非表示、1で表示です。
 * @default 0
 * 
 * @help それぞれ値を0で非表示、1で表示です。
 */

(function () {
var parameters = PluginManager.parameters('DataExtractor');
var path = require('path');
//alert(window.location);
//jsonから直接抜く
var fs = require('fs');

//プロジェクトファイルパス指定が分からん・・・なぜか先頭に本体アドレスがつく
var data = fs.readFileSync('C:/Users/yuuta/Desktop/プログラミング/RPGツクール/エロゲ１/data/Enemies.json');

var jsond = JSON.parse(data);
console.log(jsond);
var dataStr='';
for(n=1;n<jsond.length;n++)
{
	dataStr+=jsond[n].id + '.'+jsond[n].name+':'+jsond[n].note+'\r\n'
	//dataStr+=jsond[n].name+':'+jsond[n].note.replace(/\n/g,'\r\n')+'\r\n'
}

fs.writeFileSync('C:/Users/yuuta/Desktop/プログラミング/RPGツクール/エロゲ１/enemymemo.txt', dataStr);

//rpg_window.js
if(parameters['isEnemy']==1)
{
}

if(parameters['isVisibleHP']==0)
{
    
}
if(parameters['isVisibleMP']==0)
{
    
}
})();
