﻿/*
DelBattleItemCommand.js

2016/4/19 version 1.0

  利用規約
  ・MITライセンスに準じます。
  ・商用・非商用問わず使えます。
　・改変公開可能
*/

/*:
 * @plugindesc This plugin deletes item command in battle scene.
 * @author sauto
 *
 * @help This plugin does not provide plugin commands.
 */

/*:ja
 * @plugindesc 戦闘画面から「アイテム」コマンドを消去します。
 * @author さうと
 *
 * @help このプラグインには、プラグインコマンドはありません。
 */

(function () {

    var parameters = PluginManager.parameters('DelBattleItemCommand');

    var alias = Window_ActorCommand.prototype.addItemCommand;

    Window_ActorCommand.prototype.addItemCommand = function () {
        alias.call(this);
        this._list.pop();
    };

})();